/* Please direct questions to Hansi Xu (Wallace LaWall on Discord) */

import React from 'react';
import './chats.css'
import Chat from './Chat'
import Contact from './Contact'
import { useState } from "react";
import Navbar from './Navbar';

class ChatWindow extends React.Component {
    render() {
        return (
            <div class="chatcomponent">
                <Navbar></Navbar>
                <UserList />
                <MessageList />
                <ChatInput />
            </div>
        )
    }
}

class UserList extends React.Component {
    
    render() {
        return (
            <div class="contactlist">
                    <Contact pfpsrc="./chief.jpg" name="Master Chief"/>
                    <Contact pfpsrc="./freeman.jpg" name="Gordon Freeman" />
                    <Contact pfpsrc="./shogun.jpg" name="Raiden Shogun" selected="true" />
            </div>
        )
    }
}

class MessageList extends React.Component {
    render() {
        return (
            <div class="messagelist">
                <Chat message="Got time for tennis this week, Raiden?" side="right"/>
                <Chat message="Foolish question. If I do not even have free time, How am I to pursue eternity and fulfill my promise to the people of Inazuma?" side="left" />
                <Chat message="Aiight, see you at 4" side="right" />
                <Chat message="As you wish." side="left" />
                </div>
        )
    }
}
// class ChatWindow extends React.Component {
//     render() {
//         return (
//             <div>
//                 <ChatUserList />
//                 {/* <MessageList /> */}
//             </div>
//         )
//     }
// }
const ChatInput = () => {
    const [message, setMessage] = useState( '' );
    
    // const onKeyPress = (e) => {
    //     // if(e.key === 'Enter'){
    //     //     e.preventDefault(); // Ensure it is only this code that runs
    //     //     setMessage("")
    //     // }
    // }

    const onKeyDown = (e) => {
        const keyCode = e.which || e.keyCode;

        // 13 represents the Enter key
        if (keyCode === 13 && !e.shiftKey) {
            e.preventDefault();
            setMessage("")
        }
    }

    return (
        // onKeyPress={(e) => onKeyPress(e)}
      <div>
        <textarea
           class="chatinput"
           value={message}
           placeholder="Press ENTER to send, SHIFT + ENTER for new line"
           onChange={e => setMessage(e.target.value)}
           
           onKeyDown={onKeyDown}
         />
      </div>
    );
  };
class ChatInput2 extends React.Component {
    
    constructor(props) {
        super(props)
        this.setState({inputVal : ""})
    }

    handleUserInput(e) {
        this.setState(this.setState({inputVal : e.target.value}));
    };

    render() {
        return (<textarea class="chatinput" placeholder="Press ENTER to send, Ctrl + ENTER for new line"
                onKeyPress={(e)=>this.onKeyPress(e)} value="" onChange={(e) => this.handleUserInput(e)} />)
        
    }
    onKeyPress(e) {
        if(e.key === 'Enter'){
            e.preventDefault(); // Ensure it is only this code that runs
            this.setState({inputVal : ""});
        }
    }
}
export default ChatWindow;