import * as React from 'react';
import AppBar from '@mui/material/AppBar';
import Box from '@mui/material/Box';
import Toolbar from '@mui/material/Toolbar';
import Typography from '@mui/material/Typography';
import Container from '@mui/material/Container';
import Button from '@mui/material/Button';
import { useNavigate } from 'react-router-dom';

export default function Navbar(){

  const navigate = useNavigate();

  return (
    <AppBar position="static" sx={{background: '#00226D'}}>
      <Container maxWidth="xl">
        <Toolbar disableGutters>
          <Typography
            variant="h6"
            noWrap
            component="div"
            sx={{ mr: 2, fontSize: '200%', textAlign: 'center', flexGrow: 1, marginLeft: '10%'}}
          >
            Sports Matcher
          </Typography>
          <Box sx={{display: { xs: 'none', md: 'flex' }}}>
              <Button
                sx={{ my: 2, color: 'white', display: 'block', textTransform: 'none', fontSize: '100%'}}
                onClick={() => navigate('sign-up')}
              >
                Sign Up
              </Button>
              <Button
                sx={{ my: 2, color: 'white', display: 'block', textTransform: 'none', fontSize: '100%'}}
                onClick={() => navigate('sign-in')}
              >
                Sign In
              </Button>
          </Box>
        </Toolbar>
      </Container>
    </AppBar>
  );
};
